
# Install

Use Debian, install apt dependencies

```
sudo apt install git samba libttspico-utils python3-pip python3-lirc python3-rpi.gpio
```
maybe also: `wiringpi espeak`

Clone this repo

```
cd /home/pi
git clone https://git.notice.at/redplanet/discobert.git
cd discobert
```

configure mpd
```
sudo cp mpd.conf /etc/mpd.conf
```

configure samba share
```
sudo cp smb.conf /etc/samba/smb.conf
```
install pip modules
```
pip3 install -r requirements.txt
```
add systemd service
```
sudo cp disco.service /lib/systemd/system/disco.service
sudo systemctl daemon-reload
```


### DMX not working?
download udmx-pyusb:  
Clone https://github.com/dhocker/udmx-pyusb  
... and add user permissions for udmx device
```
sudo cp 98-uDMX-usb.rules /etc/udev/rules.d
```
